﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using MvcApplication5.AppCode;

namespace MvcApplication5.Tests.Controllers
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void TestMethod1()
        {
            Student student = new Student() { Name = "luminji", Age = 10 };
            string str = Class1.ObjectToJSON(student);
            Student student2 = Class1.JSONToObject<Student>(str);
            int h1 = student.GetHashCode();
            int h2 = student2.GetHashCode();

            List<Student> students1 = new List<Student>()
                                          {
                                              new Student(){Name = "aaa", Age = 11},
                                              new Student(){Name = "bbb", Age = 22},
                                              new Student(){Name = "ccc", Age = 33},
                                              new Student(){Name = "ddd", Age = 44}
                                          };
            str = Class1.ObjectToJSON(students1);
            var students2 = Class1.JSONToObject<List<Student>>(str);
            h1 = students1.GetHashCode();
            h2 = students2.GetHashCode();
        }
    }

    public class Student
    {
        public string Name { get; set; }
        public int Age { get; set; }
    }
}
