using System;
using System.Collections.Generic;
using System.IO;
using System.Text;
using System.Web.Script.Serialization;
using System.Runtime.Serialization.Json;

namespace MvcApplication5.AppCode
{
    public class Class1
    {
        //public static List<T> JSONStringToList<T>(string jsonStr)
        //{
        //    JavaScriptSerializer Serializer = new JavaScriptSerializer();
        //    List<T> objs = Serializer.Deserialize<List<T>>(jsonStr);
        //    return objs;
        //}

        public static T JSONToObject<T>(string json)
        {
            T obj = Activator.CreateInstance<T>();
            using (MemoryStream stream = new MemoryStream(Encoding.UTF8.GetBytes(json)))
            {
                DataContractJsonSerializer serializer = new DataContractJsonSerializer(obj.GetType());
                return (T)serializer.ReadObject(stream);
            }
        }

        public static string ObjectToJSON<T> (T t)
        {
            DataContractJsonSerializer serializer = new DataContractJsonSerializer(t.GetType());
            using (MemoryStream stream = new MemoryStream())
            {
                serializer.WriteObject(stream, t);
                return Encoding.UTF8.GetString(stream.ToArray());
            }
        }
    }
}