// Type: System.Web.Script.Serialization.JavaScriptSerializer
// Assembly: System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35
// Assembly location: C:\Program Files\Reference Assemblies\Microsoft\Framework\.NETFramework\v4.0\System.Web.Extensions.dll

using System;
using System.Collections.Generic;
using System.Runtime;
using System.Text;

namespace System.Web.Script.Serialization
{
    public class JavaScriptSerializer
    {
        [TargetedPatchingOptOut("Performance critical to inline this type of method across NGen image boundaries")]
        public JavaScriptSerializer();

        public JavaScriptSerializer(JavaScriptTypeResolver resolver);

        public int MaxJsonLength { [TargetedPatchingOptOut("Performance critical to inline this type of method across NGen image boundaries")]
        get; set; }

        public int RecursionLimit { [TargetedPatchingOptOut("Performance critical to inline this type of method across NGen image boundaries")]
        get; set; }

        public void RegisterConverters(IEnumerable<JavaScriptConverter> converters);
        public object DeserializeObject(string input);
        public T Deserialize<T>(string input);
        public object Deserialize(string input, Type targetType);
        public T ConvertToType<T>(object obj);
        public object ConvertToType(object obj, Type targetType);

        [TargetedPatchingOptOut("Performance critical to inline this type of method across NGen image boundaries")]
        public string Serialize(object obj);

        [TargetedPatchingOptOut("Performance critical to inline this type of method across NGen image boundaries")]
        public void Serialize(object obj, StringBuilder output);
    }
}
